#include "common.h"
#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <string.h>

#ifdef __cplusplus
extern "C" {
#endif

int
LLVMFuzzerTestOneInput(const uint8_t *data, size_t size) {
    size_t i = 0;

    uint16_t uint16_eq_const_0_0;
    uint8_t uint8_eq_const_1_0;
    uint64_t uint64_eq_const_2_0;
    int16_t int16_eq_const_3_0;

    if (size < 13)
        return TEPHRA_EXIT_FAILURE;


    memcpy(&uint16_eq_const_0_0, &data[i], 2);
    i += 2;
    memcpy(&uint8_eq_const_1_0, &data[i], 1);
    i += 1;
    memcpy(&uint64_eq_const_2_0, &data[i], 8);
    i += 8;
    memcpy(&int16_eq_const_3_0, &data[i], 2);
    i += 2;


    if (uint16_eq_const_0_0 == 37461)
    if (uint8_eq_const_1_0 == 94)
    if (uint64_eq_const_2_0 == 16082140805831111623u)
    if (int16_eq_const_3_0 == 20036)
        BOOM();

    return TEPHRA_EXIT_SUCCESS;
}

#ifdef __cplusplus
}
#endif
